<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Social Engineering|USB Key Campaigns">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="An executable is a portable file that delivers the embedded generic multi-handler payload to a victim’s machine. " /><title>Executable Files</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#11-social-engineering/executable-files.html">Open topic with navigation</a>
        </p>
        <h2>Executable Files</h2>
        <p>An executable is a portable file that delivers the embedded generic multi-handler payload to a victim’s machine. The payload creates a reverse connection over HTTPS from the victim’s machine to the multi-handler listener that is running from a campaign. When the multi-handler listener receives the incoming connection, it delivers the remaining payload to the victim’s machine.</p>
        <p> 
After a connection has been established between the two machines, you can take control of the session to gain further access into the network or to gather information from victim’s machine. 
</p>
        <p>To set up the handler, you need to specify the listener port, or LPORT. <span class="VariablesProductName">Metasploit Pro</span> uses the LPORT that you assign and the local Metasploit instance as the callback IP address to configure the handler. </p>
    </body>
</html>